This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 736602 - Review Request: ghc-wai - Web Application Interface library
Review Request: ghc-wai - Web Application Interface library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: ghc-wai (view as bug list)
Depends On: ghc-http-types
Blocks: ghc-wai-extra Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2011-09-08 04:17 EDT by Jens Petersen
Modified: 2011-10-13 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-wai-0.4.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-12 20:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-08 04:17:20 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-wai/ghc-wai.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-wai/ghc-wai-0.4.1-1.fc15.src.rpm
Description: 
Provides a common protocol for communication between web applications
and web servers.


Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3334670
Comment 1 Jens Petersen 2011-09-08 04:18:09 EDT
This is a friendly takeover of bug 630299.
Comment 2 Jens Petersen 2011-09-08 04:18:47 EDT
*** Bug 630299 has been marked as a duplicate of this bug. ***
Comment 4 Narasimhan 2011-10-02 08:46:08 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-wai-0.4.2-1.fc17.src.rpm  ghc-wai-devel-0.4.2-1.fc17.x86_64.rpm  ghc-wai-0.4.2-1.fc17.x86_64.rpm ../ghc-wai.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD 2 clause.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum  wai-0.4.2.tar.gz 
3b1b56ba80e4c6328ec7c6209bb2915f  wai-0.4.2.tar.gz

d5sum ghc-wai-0.4.2-1.fc15.src/wai-0.4.2.tar.gz 
3b1b56ba80e4c6328ec7c6209bb2915f  ghc-wai-0.4.2-1.fc15.src/wai-0.4.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64 and x86.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.

[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list

[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

[+]MUST: A package must own ll directories that it creates.
Checked with  rpmquery --whatprovides

[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+]MUST: Permissions on files must be set properly.
Checked with ls -lR

[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
pm -e ghc-wai
error: Failed dependencies:
        ghc(wai-0.4.2) = 4b36963ef91b4a4adab343315ef116b6 is needed by (installed) ghc-wai-devel-0.4.2-1.fc15.x86_64
        ghc-wai = 0.4.2-1.fc15 is needed by (installed) ghc-wai-devel-0.4.2-1.fc15.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Installs fine. Loaded Network.Wai into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPRORVED.
Comment 5 Jens Petersen 2011-10-02 21:21:49 EDT
Thank you for reviewing. :)


New Package SCM Request
=======================
Package Name: ghc-wai
Short Description: Web Application Interface library
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2011-10-03 08:23:46 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-10-03 23:00:30 EDT
ghc-wai-0.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-wai-0.3.2-2.fc14
Comment 8 Fedora Update System 2011-10-03 23:00:39 EDT
ghc-wai-0.4.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-wai-0.4.2-1.fc15
Comment 9 Fedora Update System 2011-10-03 23:00:50 EDT
ghc-wai-0.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-wai-0.4.2-1.fc16
Comment 10 Fedora Update System 2011-10-04 16:51:11 EDT
ghc-wai-0.4.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2011-10-12 20:53:24 EDT
ghc-wai-0.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 12 Fedora Update System 2011-10-12 20:55:03 EDT
ghc-wai-0.4.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2011-10-13 00:27:46 EDT
ghc-wai-0.4.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.